LEIA Docs

List course jobs

GET
/courses/{courseId}/jobs

Lists background jobs for a course, optionally filtered by status.

Authorization

AuthorizationBearer <token>

LEIA API key passed as Bearer token (recommended). Keys start with leia_sk_.

In: header

Path Parameters

courseId*string

Query Parameters

status?string

Filter by job status

Value in"QUEUED" | "PROCESSING" | "COMPLETED" | "FAILED" | "RETRYING"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/courses/string/jobs"
[
  {
    "id": "string",
    "type": "LESSON_GENERATION",
    "status": "QUEUED",
    "progress": 0,
    "errorReason": "string",
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
]
{
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Valid LEIA API key required"
  }
}
{
  "error": {
    "code": "FORBIDDEN",
    "message": "API key service user must be a CREATOR user"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}